<?php

/**
 * 
 * DataBase table
 * 
 * Manage installation and access
 * 
 *
 */
class DataBase
{
	/**
	 * @var object connection
	 */
	public $oConnection;
	
	/**
	 * Constructor php5
	 */
	public function __construct()
	{
		$this->setConnection();
	}
	
	//TODO from here on
	
	private function setConnection()
	{
		$this->oConnection = connection();
	}
	
	
	
	function install($oConnection)
	{
		install();
	}
	
	function getInstallQuery($sTable)
	{
		getInstallQuery($sTable);
	}
	
	/**
	 * @static
	 * @return array db tables
	 */
	public function getTables()
	{
		return getTables();
	}
	
	/**
	 * @static
	 * @return array db qcm related tables
	 */
	public function getQcmTables()
	{
		return getQcmTables();
	}
	
	public function getChangeLogEnum()
	{
		return getChangeLogEnum();
	}
	
	function getTableColumns($sTable, $sColumnName=false)
	{
		return getTableColumns($sTable, $sColumnName);
	}
	function getTableConstraints($sTable)
	{
		return getTableConstraints($sTable);
	}
	
	function getQuote($sTable, $sColumnName)
	{
		return getQuote($sTable, $sColumnName);
	}
	
	function getTableColumnNames($sTableName, $iTableColumn=0)
	{
		return getTableColumnNames($sTableName, $iTableColumn);
	}
	function getId($sTableName)
	{
		return getId($sTableName);
	}
}